import { OnInit } from '@angular/core';
export declare const paymentSystemMarkSizes: readonly ["xl", "m", "s"];
export declare type PaymentSystemMarkSize = typeof paymentSystemMarkSizes[number];
export declare const paymentSystemMarksNames: readonly ["mastercard", "mastercard-colorful", "apple-pay", "gpay"];
export declare type PaymentSystemMarkName = typeof paymentSystemMarksNames[number];
export declare class PaymentSystemMarkComponent implements OnInit {
    assetsPath: string;
    paymentSystemMark: string;
    size: PaymentSystemMarkSize;
    name: PaymentSystemMarkName;
    constructor(assetsPath: string);
    ngOnInit(): void;
    get width(): 32 | 40 | 64;
    get height(): 20 | 24 | 40;
}
